MySQL Short Check String Authentication Bypass

This script is Copyright (C) 2000-2014 Tenable Network Security, Inc.

Synopsis :

The remote MySQL server is vulnerable to an access control breach.

Description :

The remote version of MySQL is older than (or as old as) version
3.22.30 or 3.23.10. Thus, it may allow attacker who knows a valid
username to access database tables without a valid password.

See also :

Solution :

Upgrade to a newer version, or edit the file
mysql-xxx/sql/password.c, and search for the 'while(*scrambled)' loop.
In front of it, add :

'if(strlen(scrambled) != strlen(to))return 1'

Risk factor :

High / CVSS Base Score : 7.5
CVSS Temporal Score : 6.4
Public Exploit Available : false

Family: Databases

Nessus Plugin ID: 10343 ()

Bugtraq ID: 975

CVE ID: CVE-2000-0148